Bug 675334 - pkg-config in Fedora 14 backslash escape its output
Summary: pkg-config in Fedora 14 backslash escape its output
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgconfig   
(Show other bugs)
Version: 14
Hardware: Unspecified Unspecified
high
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 22:57 UTC by Mattias Ellert
Modified: 2012-08-16 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:41:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mattias Ellert 2011-02-04 22:57:38 UTC
Description of problem:

Using pkgconfig-0.25-2.fc14:

$ pkg-config --cflags xmlsec1
-DXMLSEC_CRYPTO=\\\"openssl\\\" -DXMLSEC_CRYPTO_DYNAMIC_LOADING=1 -D__XMLSEC_FUNCTION__=__FUNCTION__ -DXMLSEC_NO_SIZE_T -DXMLSEC_NO_GOST=1 -DXMLSEC_NO_XKMS=1 -DXMLSEC_DL_LIBLTDL=1, -I/usr/include/xmlsec1 -I/usr/include/libxml2

Using the pkg-config binary extracted from pkgconfig-0.23-9.fc12 (currently used on Fedora 13)

pkg-config --cflags xmlsec1
-DXMLSEC_CRYPTO=\"openssl\" -DXMLSEC_CRYPTO_DYNAMIC_LOADING=1 -D__XMLSEC_FUNCTION__=__FUNCTION__ -DXMLSEC_NO_SIZE_T -DXMLSEC_NO_GOST=1 -DXMLSEC_NO_XKMS=1 -DXMLSEC_DL_LIBLTDL=1, -I/usr/include/xmlsec1 -I/usr/include/libxml2

With the version in Fedora 14 the output is backslashed escaped - \\\"openssl\\\" vs. \"openssl\" using the same .pc file as input. The .pc file itself contains the escaped string.

When using the CFLAGS produced by the Fedora 14 with gcc/g++ there are warnings:

<command-line>:0:16: warning: missing terminating " character

so it is not working as intended.

Is this change in behaviour of pkg-config unintentional - i.e. a bug that should be fixed in pkg-config? Or is it an intentional change and it is the xmlsec1 package that need to adjust its .pc file?

Version-Release number of selected component (if applicable):
pkgconfig-0.25-2.fc14

Comment 1 Jason Long 2012-08-10 14:52:06 UTC
This is also a problem in Fedora 15 (xmlsec1 version xmlsec1-1.2.16-4.fc15.i686).

I got hit by the same problem. I ended up manually fixing the .pc file to remove the extra backslashes.

Comment 2 Fedora End Of Life 2012-08-16 16:41:33 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.